From 52b839d0f0b97a0ddd3b53f8f70b66a08a1d007a Mon Sep 17 00:00:00 2001
From: Philip Cali <philip.cali@gmail.com>
Date: Wed, 15 Feb 2012 14:55:42 -0600
Subject: Admin option now present

---
 grade/report/grader/lib.php              |    8 ++++++--
 grade/report/grader/preferences_form.php |    1 +
 grade/report/grader/settings.php         |    3 +++
 lang/en/grades.php                       |    2 ++
 4 files changed, 12 insertions(+), 2 deletions(-)

diff --git a/grade/report/grader/lib.php b/grade/report/grader/lib.php
index 6714bfb..4643ca4 100644
--- a/grade/report/grader/lib.php
+++ b/grade/report/grader/lib.php
@@ -703,6 +703,8 @@ class grade_report_grader extends grade_report {
         );
         $jsscales = array();
 
+        $render_percents = $this->get_pref('showweightedpercents');
+
         foreach ($this->gtree->get_levels() as $key=>$row) {
             if ($key == 0) {
                 // do not display course grade category
@@ -782,14 +784,16 @@ class grade_report_grader extends grade_report {
                     $itemcell = new html_table_cell();
                     $itemcell->attributes['class'] = $type . ' ' . $catlevel . 'highlightable';
 
-                    $percents = $this->get_weighted_percents($element['object']);
+                    $percents = $render_percents ?
+                        $this->get_weighted_percents($element['object']) : '';
 
                     if ($element['object']->is_hidden()) {
                         $itemcell->attributes['class'] .= ' hidden';
                     }
 
                     $itemcell->colspan = $colspan;
-                    $itemcell->text = shorten_text($headerlink) . $percents . $arrow;
+                    $itemcell->text = shorten_text($headerlink);
+                    $itemcell->text .= $percents . $arrow;
                     $itemcell->header = true;
                     $itemcell->scope = 'col';
 
diff --git a/grade/report/grader/preferences_form.php b/grade/report/grader/preferences_form.php
index 93f4c03..ae0465f 100644
--- a/grade/report/grader/preferences_form.php
+++ b/grade/report/grader/preferences_form.php
@@ -112,6 +112,7 @@ class grader_report_preferences_form extends moodleform {
             $preferences['prefshow']['showactivityicons'] = $checkbox_default;
             $preferences['prefshow']['showranges'] = $checkbox_default;
             $preferences['prefshow']['showanalysisicon'] = $checkbox_default;
+            $preferences['prefshow']['showweightedpercents'] = $checkbox_default;
 
             if ($canviewhidden) {
                 $preferences['prefrows']['shownumberofgrades'] = $checkbox_default;
diff --git a/grade/report/grader/settings.php b/grade/report/grader/settings.php
index c795b33..b0fb597 100644
--- a/grade/report/grader/settings.php
+++ b/grade/report/grader/settings.php
@@ -63,6 +63,9 @@ if ($ADMIN->fulltree) {
     $settings->add(new admin_setting_configcheckbox('grade_report_showanalysisicon', get_string('showanalysisicon', 'core_grades'),
                                                 get_string('showanalysisicon_desc', 'core_grades'), 1));
 
+    $settings->add(new admin_setting_configcheckbox('grade_report_showweightedpercents', get_string('showweightedpercents', 'grades'),
+        get_string('showweightedpercents_help', 'grades'), 0));
+
     $settings->add(new admin_setting_configcheckbox('grade_report_showuserimage', get_string('showuserimage', 'grades'),
                                                 get_string('showuserimage_help', 'grades'), 1));
 
diff --git a/lang/en/grades.php b/lang/en/grades.php
index b583eff..eefe099 100644
--- a/lang/en/grades.php
+++ b/lang/en/grades.php
@@ -588,6 +588,8 @@ $string['showrank_help'] = 'Show the position of the student in relation to the
 $string['showuserimage'] = 'Show user profile images';
 $string['showuserimage_help'] = 'Whether to show the user\'s profile image next to the name in the grader report.';
 $string['showverbose'] = 'Show {$a->category} {$a->itemmodule} {$a->itemname}';
+$string['showweightedpercents'] = 'Show weighted percents';
+$string['showweightedpercents_help'] = "Show the item's weight in percent of a weighted category type.";
 $string['simpleview'] = 'Simple view';
 $string['sitewide'] = 'Site-wide';
 $string['sort'] = 'sort';
-- 
1.7.1


